## firefox 54.0+build3

=== debian/changelog ===
firefox (54.0+build3-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (54.0build3)
    - see USN-3315-1

  * Build with rustc and cargo
    - update debian/control{,.in}
    - update debian/config/mozconfig.in
  * Don't strip .gitignore files from the tarball. If these are stripped
    from vendored rust crates, then the build fails
  * Refresh patches
    - update debian/patches/unity-menubar.patch
  * Don't build with --enable-system-ffi on arm64. System ffi is only required
    on non-tier 1 platforms, so only build depend on libffi-dev on powerpc,
    ppc64el and s390x
  * Refresh shipped locales
    - update debian/config/locales.*
    - update debian/config/searchplugins.conf
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 07 Jun 2017 15:35:23 +0100

firefox (53.0.3+build1-0ubuntu0.16.10.2) yakkety-security; urgency=medium

  * New upstream stable release (53.0.3build1)
    - see USN-3299-1

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 23 May 2017 14:06:40 +0100

firefox (53.0.2+build1-0ubuntu0.16.10.2) yakkety-security; urgency=medium

  * New upstream stable release (53.0.2build1)
    - see USN-3260-2

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 05 May 2017 15:24:31 +0100

firefox (53.0+build6-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (53.0build6)
    - see USN-3260-1

  * Update unity-menubar.patch with the latest version submitted upstream
  * Build with --disable-rust for now
  * Stop installing the NPAPI headers and make firefox-dev a transitional
    package
    - update debian/build/rules.mk
    - update debian/rules
    - update debian/control{,.in}
    - remove debian/firefox-dev.install.in
    - remove debian/firefox-dev.links.in
    - remove debian/pkgconfig/mozilla-plugin.pc.in
  * Add Urdu language pack
  * Refresh patches
    - update debian/patches/revert-upstream-search-engine-changes.patch
    - update debian/patches/unity-menubar.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 18 Apr 2017 11:22:01 +0100

firefox (52.0.2+build1-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (52.0.2build1)
    - Really fix LP: #1671079 - Don't crash if LOGNAME is not set in the
      environment

  * Fix LP: #1671273 - Build with --enable-alsa for now to re-enable the
    unmaintained ALSA backend. Note that problems with the ALSA backend will
    not block future updates and Ubuntu flavors that ship without Pulseaudio
    need to participate in maintaining this code

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 29 Mar 2017 13:11:13 +0100

firefox (52.0.1+build2-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (52.0.1build2)
    - Fix LP: #1671079 - Don't crash if LOGNAME is not set in the environment

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 08 Mar 2017 15:35:53 +0000

firefox (52.0+build2-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (52.0build2)
    - see USN-3216-1

  [ Rico Tzschichholz ]
  * Update debian/patches/revert-upstream-search-engine-changes.patch
  * Unconditionally build-dep on libffi-dev
  * Drop */browser/components from firefox.install.in, browsercomps was merged
    into xul - https://hg.mozilla.org/mozilla-central/rev/4006b190b344

  [ Chris Coulson ]
  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/revert-upstream-search-engine-changes.patch
    - update debian/patches/ubuntu-bookmarks.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 03 Mar 2017 00:38:43 +0000

firefox (51.0.1+build2-0ubuntu0.16.10.2) yakkety-security; urgency=medium

  * Fix LP: #1659922 - Fix Apparmor denials triggered by shared memory usage
    when e10s is enabled

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 01 Feb 2017 16:49:07 +0000

firefox (51.0.1+build2-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (51.0.1build2)
    - see USN-3175-1

  [ Chris Coulson ]
  * Refresh patches:
    - update debian/patches/support-coinstallable-trunk-build.patch
    - update debian/patches/unity-menubar.patch
  * Remove unused --with-google-oauth-keyfile option
    - update debian/config/mozconfig.in
    - remove debian/go

  [ Rico Tzschichholz ]
  * Refresh patches:
    - update debian/patches/ubuntu-search-defaults.patch
  * Add Kabyle language pack
    - update debian/config/locales.all
    - update debian/config/locales.shipped
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 19 Jan 2017 17:46:11 +0000

firefox (50.1.0+build2-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (50.1.0build2)
    - see USN-3155-1

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 08 Dec 2016 20:30:33 +0000

firefox (50.0.2+build1-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (50.0.2build1)
    - see USN-3140-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 30 Nov 2016 09:06:29 +0000

firefox (50.0+build2-0ubuntu0.16.10.2) yakkety-security; urgency=medium

  * New upstream stable release (50.0build2)
    - see USN-3124-1

  [ Chris Coulson ]
  * Refresh patches:
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/support-coinstallable-trunk-build.patch
  * Fix an issue in debian/distribution.ini that was causing malformed URLs
    to be sent to Mozilla services

  [ Rico Tzschichholz ]
  * Add build-dep on libx11-xcb-dev

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 14 Nov 2016 14:10:13 +0000

firefox (49.0.2+build2-0ubuntu0.16.10.2) yakkety-security; urgency=medium

  * New upstream stable release (49.0.2build2)
    - see USN-3111-1

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 25 Oct 2016 15:34:08 +0100
