## firefox 56.0+build6

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.wily
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.artful
 Build-Depends: cdbs,
 	locales,
 	debhelper (>= 7),
@@ -39,8 +39,10 @@
 	xvfb,
 	python (>= 2.7),
 	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
-	cargo (>= 0.16),
-	rustc (>= 1.15.1)
+	clang-3.9 [amd64 arm64 ppc64el],
+	llvm-3.9-dev [amd64 arm64 ppc64el],
+	cargo (>= 0.18),
+	rustc (>= 1.17.0)
 Standards-Version: 3.9.1
 #XS-Testsuite: autopkgtest
 
@@ -236,13 +238,12 @@
 Package: firefox-locale-be
 Architecture: any
 Depends: ${misc:Depends}
-Conflicts: ${app:Conflicts}
-Provides: ${app:Provides}
-Description: Transitional package for unavailable language
- This language is unavailable for the current version of Firefox
- .
- This is an empty transitional package to ensure a clean upgrade
- process. You can safely remove this package after installation.
+Replaces: language-pack-be-base
+Conflicts: ${app:Conflicts}
+Provides: ${app:Provides}
+Description: Belarusian language pack for Firefox
+ This package contains Belarusian translations and search plugins
+ for Firefox
 
 Package: firefox-locale-bg
 Architecture: any
@@ -298,3 +299,4 @@
 Architecture: any
 Depends: ${misc:Depends}
 Replaces: language-pack-cak-base
+Conflicts: ${app:Conflicts}
