## firefox 57.0.4+build1

=== debian/changelog ===
firefox (57.0.4+build1-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * New upstream stable release (57.0.4build1)

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 04 Jan 2018 09:05:26 +0000

firefox (57.0.3+build1-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * New upstream stable release (57.0.3build1)

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 27 Dec 2017 14:22:27 +0000

firefox (57.0.1+build2-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * New upstream stable release (57.0.1build2)
  * Refresh debian/patches/normalize-distribution-searchplugins.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 29 Nov 2017 22:34:38 +0000

firefox (57.0+build4-0ubuntu0.17.04.6) zesty-security; urgency=medium

  * Fix LP: #1733970 - Search suggestions are broken after refreshing the
    Google searchplugin
  * Fix a missing token in the user agent string
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/support-coinstallable-trunk-build.patch
    - update debian/build/rules.mk
    - update debian/config/mozconfig.in

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 23 Nov 2017 16:47:12 +0000

firefox (57.0+build4-0ubuntu0.17.04.5) zesty-security; urgency=medium

  * New upstream stable release (57.0build4)
    - see USN-3477-1

  [ Rico Tzschichholz ]
  * Remote OSProtocolHandlerExists to properly launch custom protocol
    handler (LP: #1725238)
    - debian/patches/moz1382323.patch
  * Refresh patches
    - update debian/patches/revert-upstream-search-engine-changes.patch
    - update debian/patches/ppc-no-static-sizes.patch
  * Install watermark.svg from the onbording extension as symbolic icon
    - debian/build/rules.mk 
    - debian/firefox.dirs.in
  * Update make-langpack-xpis target
    - debian/build/rules.mk
  * Bump build-dep on rustc >= 1.19.0 and cargo >= 0.20
  * Set REAL_LOCALE_MERGEDIR rather than LOCALE_MERGEDIR
    - debian/build/rules.mk
  * Build-dep on clang-4.0, llvm-4.0-dev on all archs for stylo
    - update debian/control{,.in}

  [ Chris Coulson ]
  * Update revert-upstream-search-engine-changes.patch to ensure we keep the
    region overrides for non-Google plugins
  * Update disable-geo-specific-search-defaults-for-us.patch to pick up some
    more locales
  * Update searchplugins.conf to ignore recently added experimental and hidden
    Amazon and Google search plugins
  * Add Urdu localized Amazon search plugin
    - add debian/searchplugins/ur/amazon-in.xml
    - update debian/config/searchplugins.conf
  * Don't set distribution.searchplugins.defaultLocale, as this breaks our
    custom searchplugins for non en-US locales
    - update debian/vendor-gre.js
  * Drop region-specific custom Google searchplugins, as these aren't needed
    anymore
    - remove debian/searchplugins/en-GB/google.xml
    - remove debian/searchplugins/en-ZA/google.xml
    - remove debian/searchplugins/ku/google.xml
    - update debian/config/searchplugins.conf
  * Refresh Google search plugin
    - update debian/searchplugins/en-US/google.xml
  * Refresh Baidu search plugin
    - update debian/searchplugins/zh-CN/baidu.xml
  * Refresh Amazon search plugins
    - update debian/searchplugins/de/amazondotcom-de.xml
    - update debian/searchplugins/en-GB/amazon-en-GB.xml
    - update debian/searchplugins/en-US/amazondotcom.xml
    - update debian/searchplugins/fr/amazon-france.xml
    - update debian/searchplugins/it/amazon-it.xml
    - update debian/searchplugins/ja/amazon-jp.xml
    - update debian/searchplugins/zh-CN/amazondotcn.xml
    - remove unused debian/searchplugins/sq/amazon-en-GB.xml

  [ Jamie Strandboge ]
  * Update AppArmor profile

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 09 Nov 2017 23:04:37 +0000

firefox (56.0+build6-0ubuntu0.17.04.2) zesty-security; urgency=medium

  * Backport patch to stub gdk_screen_get_monitor_workarea in mozgtk2
    (fixes LP: #1720908)
    - add debian/patches/stub-gdk_screen_get_monitor_workarea-in-mozgtk2.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 03 Oct 2017 10:44:38 +0100

firefox (56.0+build6-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * New upstream stable release (56.0build6)

  [ Rico Tzschichholz ]
  * Bump build-dep on rustc >= 1.17.0 and cargo >= 0.18
  * Build-dep on clang-3.9, llvm-3.9-dev on 64bit archs for stylo
    - update debian/control{,.in}
  * Refresh patches
    - update debian/patches/revert-upstream-search-engine-changes.patch
  * Drop upstreamed patches
    - debian/patches/build-ppc64.patch
    - debian/patches/fix-no-jit-backend.patch
  * Don't try to check checksums of windows-only binary files which are
    not included in the tarball
    - debian/patches/rust-drop-dll-checksums.patch
  * Add ppc64/s390x build fixes
    - debian/patches/build-ppc64-s390x-nss.patch
  * Don't restrict Destop Actions to Unity (LP: #1615549)
    and make them compliant with GNOME-Shell
    - debian/firefox.desktop.in

  [ Chris Coulson ]
  * Update unity-menubar.patch for Stylo, nsAdoptedCString removal, and
    imgRequestProxy, nsITimer and mozilla::Runnable changes
  * Drop patches that are fixed upstream
    - remove debian/patches/cubeb-pulse-rs-fix.patch
    - update debian/patches/series
  * Don't pass -mfloat-abi=softfp when building webrtc on armhf
    - add debian/patches/webrtc-fix-compiler-flags-for-armhf.patch
    - update debian/patches/series
  * Fix skia build failure on aarch64 against kernel headers that don't
    define HWCAP_CRC32
    - add debian/patches/skia-fix-aarch64-build-on-older-linux.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 21 Sep 2017 23:15:16 +0100

firefox (55.0.2+build1-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * New upstream stable release (55.0.2build1)

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 16 Aug 2017 15:52:56 +0100


