=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.artful
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.zesty
 Build-Depends: cdbs,
 	locales,
 	debhelper (>= 7),
@@ -39,10 +39,10 @@
 	xvfb,
 	python (>= 2.7),
 	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
-	clang-3.9 [amd64 arm64 ppc64el],
-	llvm-3.9-dev [amd64 arm64 ppc64el],
-	cargo (>= 0.18),
-	rustc (>= 1.17.0)
+	clang-4.0,
+	llvm-4.0-dev,
+	cargo (>= 0.20),
+	rustc (>= 1.19.0)
 Standards-Version: 3.9.1
 #XS-Testsuite: autopkgtest
 
@@ -300,3 +300,4 @@
 Depends: ${misc:Depends}
 Replaces: language-pack-cak-base
 Conflicts: ${app:Conflicts}
+Provides: ${app:Provides}
