## firefox 59.0.2+build1

=== taskcluster/docker/funsize-update-generator/requirements.txt ===
aiohttp==2.3.6
arrow==0.12.0
asn1crypto==0.24.0
async-timeout==2.0.0
awscli==1.14.10
backports.lzma==0.0.8
botocore==1.8.14
certifi==2017.11.5
cffi==1.11.4
chardet==3.0.4
click==6.7
colorama==0.3.7
construct==2.8.20
cryptography==2.1.4
datadog==0.17.0
decorator==4.2.1
defusedxml==0.5.0
docutils==0.14
frozendict==1.2
idna==2.6
jmespath==0.9.3
jsonschema==2.6.0
mar==2.1.2
mohawk==0.3.4
multidict==4.0.0
pexpect==4.3.1
ptyprocess==0.5.2
pyasn1==0.4.2
pycparser==2.18
python-dateutil==2.6.1
python-gnupg==0.4.1
PyYAML==3.12
redo==1.6
requests==2.18.4
rsa==3.4.2
s3transfer==0.1.12
scriptworker==6.0.0
simplejson==3.13.2
six==1.11.0
slugid==1.0.7
taskcluster==2.1.3
urllib3==1.22
virtualenv==15.1.0
yarl==1.0.0
