=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,6 @@
 MOZ_PKGNAME_SUBST_FILES = \
 	debian/usr.bin.$(MOZ_PKG_NAME) \
 	debian/README.Debian \
-	debian/$(MOZ_PKG_NAME)-locale.preinst \
 	debian/$(MOZ_PKG_BASENAME).sh \
 	debian/apport/blacklist \
 	debian/apport/native-origins \
@@ -65,32 +64,13 @@
 		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.14.10 $(CURDIR)/debian/usr.bin.firefox.in ; \
 	elif [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1310' ]; then \
 		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.13.10 $(CURDIR)/debian/usr.bin.firefox.in ; \
-	else \
-		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.12.04 $(CURDIR)/debian/usr.bin.firefox.in ; \
 	fi
-
-ifeq (firefox, $(MOZ_APP_NAME))
-ifneq (,$(filter precise, $(DISTRIB_CODENAME)))
-PLUGIN_BREAKS := flashplugin-installer (<= 11.1.102.63ubuntu1), adobe-flashplugin (<= 11.1.102.63-0precise1)
-PLUGIN_CONFLICTS := gcu-plugin (<= 0.12.10-1ubuntu1)
-endif
-endif
 
 WRITE_SUBSTVARS = $(shell echo "$(2)=$(3)" | sed 's/[ \t\n]\+/ /g' >> debian/$(1).substvars)
 
 ifeq (firefox, $(MOZ_PKG_NAME))
-ifeq (,$(filter precise, $(DISTRIB_CODENAME)))
 install/firefox::
 	$(call WRITE_SUBSTVARS,firefox,transitional:Replaces,kubuntu-firefox-installer)
-else
-FIREFOX_REPLACES = abrowser, abrowser-branding, firefox-branding, kubuntu-firefox-installer
-FIREFOX_BREAKS = abrowser (<= 4.0~b11+build3+nobinonly-0ubuntu1), abrowser-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), \
-		 firefox-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), $(PLUGIN_BREAKS)
-install/firefox::
-	$(call WRITE_SUBSTVARS,firefox,transitional:Replaces,$(FIREFOX_REPLACES))
-	$(call WRITE_SUBSTVARS,firefox,transitional:Breaks,$(FIREFOX_BREAKS))
-	$(call WRITE_SUBSTVARS,firefox,transitional:Conflicts,$(PLUGIN_CONFLICTS))
-endif
 endif
 
 binary-post-install/$(MOZ_PKG_NAME):: install-distribution-searchplugins-$(MOZ_PKG_NAME)
@@ -108,14 +88,5 @@
 	$(foreach lang,$(call locales_for_langpack,$*), \
 		python debian/install-distribution-searchplugins.py -c debian/config/searchplugins.conf -l $(lang) -u $(firstword $(wildcard $(MOZ_DISTDIR)/xpi-stage/locale-$(lang)/browser/chrome/$(lang)/locale/browser/searchplugins) $(MOZ_DISTDIR)/bin/browser/chrome/en-US/locale/browser/searchplugins) -d debian/$*/$(MOZ_LIBDIR)/distribution/searchplugins/locale/$(lang) -s debian/searchplugins;)
 
-make-langpack-preinsts:: $(foreach langpack,$(MOZ_LOCALE_PKGS),debian/$(langpack).preinst)
-$(patsubst %,debian/%.preinst,$(MOZ_LOCALE_PKGS)) :: debian/%.preinst : debian/$(MOZ_PKG_NAME)-locale.preinst
-	cp $< $@
-
-pre-build:: make-langpack-preinsts
-
 clean::
-	rm -f debian/$(MOZ_PKG_NAME)-locale-*.preinst
 	rm -f debian/usr.bin.firefox.in
-
-.PHONY: make-langpack-preinsts
